{include="header"}

<script type="text/javascript">
   $(document).ready(function() {
      document.f_masivo.query.focus();

      $('[data-toggle="popover"]').popover({
         placement : 'bottom',
         trigger : 'hover',
         content: function() {
            return '<div class="thumbnail" style="margin: 0px;"><img src="'+$(this).data('img') + '" /></a>';
         }
      });
   });
</script>

<form name="f_masivo" action="{$fsc->url()}" method="post" class="form">
   <div class="container-fluid" style="margin-top: 10px; margin-bottom: 10px;">
      <div class="row">
         <div class="col-sm-6">
            <a class="btn btn-sm btn-default" href="{$fsc->url()}" title="Recargar la página">
               <span class="glyphicon glyphicon-refresh"></span>
            </a>
            <a class="btn btn-sm btn-default" href="{$fsc->articulo->url()}">
               <span class="glyphicon glyphicon-arrow-left"></span>
               <span class="hidden-xs">&nbsp; Artículos</span>
            </a>
         </div>
         <div class="col-sm-6 text-right">
            <h2 style="margin-top: 0px;">Modificador masivo</h2>
         </div>
      </div>
      <div class="row">
         <div class="col-sm-2">
            <div class="input-group">
               <input class="form-control" type="text" name="query" value="{$fsc->query}" autocomplete="off" placeholder="Buscar">
               <span class="input-group-btn">
                  <button class="btn btn-primary hidden-sm" type="submit">
                     <span class="glyphicon glyphicon-search"></span>
                  </button>
               </span>
            </div>
         </div>
         <div class="col-sm-2">
            <select name="codfamilia" class="form-control" onchange="this.form.submit()">
               <option value="">Todas las categorias</option>
               <option value="">----</option>
               {loop="$fsc->familia->all()"}
                  {if="$value->codfamilia===$fsc->codfamilia"}
                  <option value="{$value->codfamilia}" selected="">{$value->nivel}{$value->descripcion}</option>
                  {else}
                  <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                  {/if}
               {/loop}
            </select>
            <label>
               <input type="checkbox" name="subfamilias" value="TRUE" onchange="this.form.submit()"{if="$fsc->subfamilias"} checked="checked"{/if}/>
               Incluir subcategorias
            </label>
         </div>
         <div class="col-sm-2">
            <select name="codfabricante" class="form-control" onchange="this.form.submit()">
               <option value="">Todos los fabricantes</option>
               <option value="">----</option>
               {loop="$fsc->fabricante->all()"}
                  {if="$value->codfabricante===$fsc->codfabricante"}
                  <option value="{$value->codfabricante}" selected="">{$value->nombre}</option>
                  {else}
                  <option value="{$value->codfabricante}">{$value->nombre}</option>
                  {/if}
               {/loop}
            </select>
         </div>
         {if="$fsc->prestashop"}
         <div class="col-sm-2">
            <select name="codpscat" class="form-control" onchange="this.form.submit()">
               <option value="">Todas las categorías</option>
               <option value="">----</option>
               {loop="$fsc->ps_categoria->all()"}
                  {if="$value->id<2"}
                  {elseif="$value->id==$fsc->codpscat"}
                  <option value="{$value->id}" selected="">{$value->name}</option>
                  {else}
                  <option value="{$value->id}">{$value->name}</option>
                  {/if}
               {/loop}
            </select>
            <p class="help-block">Categoría de PrestaShop</p>
         </div>
         {/if}
         <div class="col-sm-2">
            <select name="codproveedor" class="form-control" onchange="this.form.submit()">
               <option value="">Todos los proveedores</option>
               <option value="">----</option>
               {loop="$fsc->proveedor->all()"}
                  {if="$value->codproveedor===$fsc->codproveedor"}
                  <option value="{$value->codproveedor}" selected="">{$value->nombre}</option>
                  {else}
                  <option value="{$value->codproveedor}">{$value->nombre}</option>
                  {/if}
               {/loop}
            </select>
         </div>
         <div class="col-sm-2">
            <select name="tipo" class="form-control" onchange="this.form.submit()">
               <option value="">Todo</option>
               <option value="">----</option>
               <option value="stock"{if="$fsc->tipo=='stock'"} selected=""{/if}>Sólo con stock</option>
               <option value="publico"{if="$fsc->tipo=='publico'"} selected=""{/if}>Público</option>
               <option value="secompra"{if="$fsc->tipo=='secompra'"} selected=""{/if}>Se compra</option>
               <option value="sevende"{if="$fsc->tipo=='sevende'"} selected=""{/if}>Se vende</option>
               <option value="nofamilia"{if="$fsc->tipo=='nofamilia'"} selected=""{/if}>Sin categoria</option>
               <option value="nofabricante"{if="$fsc->tipo=='nofabricante'"} selected=""{/if}>Sin fabricante</option>
            </select>
         </div>
      </div>
   </div>
   <div role="tabpanel">
      <ul class="nav nav-tabs" role="tablist">
         <li role="presentation" class="active">
            <a href="#resultados" aria-controls="resultados" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-search" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp; Resultados</span>
               <span class="badge">{$fsc->num_resultados}</span>
            </a>
         </li>
         <li role="presentation">
            <a href="#cambios" aria-controls="cambios" role="tab" data-toggle="tab">
               <span class="glyphicon glyphicon-wrench" aria-hidden="true"></span>
               <span class="hidden-xs">&nbsp; Cambios</span>
            </a>
         </li>
      </ul>
      <div class="tab-content">
         <div role="tabpanel" class="tab-pane active" id="resultados">
            <div class="table-responsive">
               <table class="table table-hover">
                  <thead>
                     <tr>
                        <th class="text-left">Referencia + Descripción</th>
                        <th class="text-left">Categoria</th>
                        <th class="text-left">Fabricante</th>
                        <th class="text-right">Coste</th>
                        <th class="text-right">PVP</th>
                        <th class="text-right">PVP+{#FS_IVA#}</th>
                        <th class="text-right">Stock</th>
                        <th></th>
                     </tr>
                  </thead>
                  {loop="$fsc->resultados"}
                  <tr class='clickableRow{if="$value->bloqueado"} danger{elseif="$value->stockfis<=$value->stockmin"} warning{/if}' href='{$value->url()}'>
                     <td>
                        {$img=$value->imagen_url()}
                        {if="$img"}
                        <a href="{$value->url()}" data-toggle="popover" data-html="true" data-img="{$img}">{$value->referencia}</a>
                        {else}
                        <a href="{$value->url()}">{$value->referencia}</a>
                        {/if}
                        {$value->descripcion()}
                     </td>
                     <td>{if="is_null($value->codfamilia)"}<span>-</span>{else}{$value->codfamilia}{/if}</td>
                     <td>{if="is_null($value->codfabricante)"}<span>-</span>{else}{$value->codfabricante}{/if}</td>
                     <td class="text-right">{$fsc->show_precio($value->preciocoste())}</td>
                     <td class="text-right"><span title="actualizado el {$value->factualizado}">{$fsc->show_precio($value->pvp)}</span></td>
                     <td class="text-right"><span title="actualizado el {$value->factualizado}">{$fsc->show_precio($value->pvp_iva())}</span></td>
                     <td class="text-right">{if="$value->nostock"}-{else}{$value->stockfis}{/if}</td>
                     <td class="text-right">
                        {if="$value->secompra"}
                        <span class="glyphicon glyphicon-import" aria-hidden="true" title="Se compra"></span>
                        {/if}
                        {if="$value->sevende"}
                        <span class="glyphicon glyphicon-export" aria-hidden="true" title="Se vende"></span>
                        {/if}
                        {if="$value->publico"}
                        <span class="glyphicon glyphicon-globe" aria-hidden="true" title="Público"></span>
                        {/if}
                     </td>
                  </tr>
                  {else}
                  <tr class="bg-warning">
                     <td colspan="8">Ningun artículo encontrado.</td>
                  </tr>
                  {/loop}
               </table>
            </div>
         </div>
         <div role="tabpanel" class="tab-pane" id="cambios">
            <div class="container-fluid" style="margin-top: 10px;">
               <div class="row">
                  <div class="col-sm-2">
                     Nueva categoria:
                     <select name="n_codfamilia" class="form-control">
                        <option value="">(sin cambios)</option>
                        <option value="">------</option>
                        <option value="#null#">Ninguna</option>
                        <option value="">------</option>
                        {loop="$fsc->familia->all()"}
                        <option value="{$value->codfamilia}">{$value->nivel}{$value->descripcion}</option>
                        {/loop}
                     </select>
                  </div>
                  <div class="col-sm-2">
                     Nuevo fabricante:
                     <select name="n_codfabricante" class="form-control">
                        <option value="">(sin cambios)</option>
                        <option value="">------</option>
                        <option value="#null#">Ninguno</option>
                        <option value="">------</option>
                        {loop="$fsc->fabricante->all()"}
                        <option value="{$value->codfabricante}">{$value->nombre}</option>
                        {/loop}
                     </select>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Se compra:
                        <select name="secompra" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="1">Marcar</option>
                           <option value="0">Desmarcar</option>
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Se vende:
                        <select name="sevende" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="1">Marcar</option>
                           <option value="0">Desmarcar</option>
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Bloqueado:
                        <select name="bloqueado" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="1">Marcar</option>
                           <option value="0">Desmarcar</option>
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Público:
                        <select name="publico" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="1">Marcar</option>
                           <option value="0">Desmarcar</option>
                        </select>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-2">
                     <div class="form-group">
                        No controlar stock:
                        <select name="nostock" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="1">Marcar</option>
                           <option value="0">Desmarcar</option>
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Stock:
                        <input class="form-control" type="text" name="stockfis" placeholder="(Sin cambios)"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Stock mínimo:
                        <input class="form-control" type="number" name="stockmin" placeholder="(Sin cambios)" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Stock máximo:
                        <input class="form-control" type="number" name="stockmax" placeholder="(Sin cambios)" autocomplete="off"/>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Permitir venta sin stock:
                        <select name="controlstock" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="1">Marcar</option>
                           <option value="0">Desmarcar</option>
                        </select>
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-2">
                     <div class="form-group">
                        <a href="{$fsc->impuesto->url()}">{#FS_IVA#}</a>:
                        <select class="form-control" name="codimpuesto">
                           <option value="">(Sin cambios)</option>
                           {loop="$fsc->impuesto->all()"}
                           <option value="{$value->codimpuesto}">{$value->descripcion}</option>
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Incremento de PVP:
                        <div class="input-group">
                           <span class="input-group-addon">%</span>
                           <input type="text" class="form-control" name="incpvp" value="0" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Incremento de PVP:
                        <div class="input-group">
                           <span class="input-group-addon">{$fsc->simbolo_divisa()}</span>
                           <input type="text" class="form-control" name="inclpvp" value="0" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Incremento de Coste:
                        <div class="input-group">
                           <span class="input-group-addon">%</span>
                           <input type="text" class="form-control" name="inccoste" value="0" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Incremento de Coste:
                        <div class="input-group">
                           <span class="input-group-addon">{$fsc->simbolo_divisa()}</span>
                           <input type="text" class="form-control" name="inclcoste" value="0" autocomplete="off"/>
                        </div>
                     </div>
                  </div>
                  <div class="col-sm-2">
                     <div class="form-group">
                        Margen sobre coste:
                        <div class="input-group">
                           <span class="input-group-addon">%</span>
                           <input type="text" class="form-control" name="margen" autocomplete="off" placeholder="(sin cambios)"/>
                        </div>
                     </div>
                  </div>
               </div>
               {if="$fsc->prestashop"}
               <div class="row">
                  <div class="col-sm-12">
                     <h3>PrestaShop:</h3>
                  </div>
               </div>
               <div class="row">
                  <div class="col-sm-3">
                     <div class="form-group">
                        Añadir categoría:
                        <select name="addpscat" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="">----</option>
                           {loop="$fsc->ps_categoria->all()"}
                              {if="$value->id>=2"}
                              <option value="{$value->id}">{$value->name}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
                  <div class="col-sm-3">
                     <div class="form-group">
                        Quitar categoría:
                        <select name="rmpscat" class="form-control">
                           <option value="">(Sin cambios)</option>
                           <option value="">----</option>
                           {loop="$fsc->ps_categoria->all()"}
                              {if="$value->id>=2"}
                              <option value="{$value->id}">{$value->name}</option>
                              {/if}
                           {/loop}
                        </select>
                     </div>
                  </div>
               </div>
               {/if}
               <div class="row">
                  <div class="col-sm-6">
                     <button type="reset" class="btn btn-sm btn-default">
                        <span class="glyphicon glyphicon-remove"></span>
                        &nbsp; Cancelar
                     </button>
                  </div>
                  <div class="col-sm-6 text-right">
                     <button type="submit" class="btn btn-sm btn-primary">
                        <span class="glyphicon glyphicon-ok"></span>
                        &nbsp; Aplicar a los {$fsc->num_resultados} artículos
                     </button>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </div>
</form>

{include="footer"}
